"use strict";
exports.__esModule = true;
exports.coordinateScale = exports.valueScale = exports.graph2Str = exports.initArr = void 0;
// 初始化M*N的二维数组
var initArr = function (width, height) {
    return Array(height)
        .fill("")
        .map(function () { return Array(width).fill(" "); });
};
exports.initArr = initArr;
// 将结果转换为字符串
var graph2Str = function (graph) {
    var res = graph.map(function (item) { return item.join(""); }).join("\n");
    return res;
};
exports.graph2Str = graph2Str;
// 数据缩放格式化
var valueScale = function (scale, data) {
    var start = scale[0], end = scale[1];
    var min = Math.min.apply(Math, data);
    var max = Math.max.apply(Math, data);
    var range = max - min;
    return data.map(function (item) {
        return Math.round(start + (end - start) * ((item - min) / range));
    });
};
exports.valueScale = valueScale;
// 坐标缩放格式化
var coordinateScale = function (scale, data) {
    var start = scale[0], end = scale[1];
    var range = end - start;
    var gap = Math.floor(range / (data.length + 1));
    return data.map(function (item, index) { return start + gap * (index + 1); });
};
exports.coordinateScale = coordinateScale;
